﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Permissions;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ComPDFKit.DigitalSign;

namespace Compdfkit_Tools.PDFControl {
    public class SummaryInfo
    {
        public string Award;
        public string Grantor;
        public string ValidityPeriod;
        public string AnticipatedUse;
    }
    
    public class DetailInfo
    {
        public string Version;
        public string SignatureAlgorithm;
        public string Thematic;
        public string ProductKey;
        public string ValidityPeriod;
        public string CertificatePolicy;
        public string CrlDistributionPoint;
        public string X509Data;
        public string AuthorityInfoAccess;
        public string AuthorityKeyIdentifier;
        public string SubjectKeyIdentifier;
        public string BasicConstraints;
        public string KeyUsage;
        public string PublicKey;
        public string SHA1Digest;
        public string MD5Digest;
    }
    
    public partial class CertificateInfoControl : UserControl
    {
        public CertificateInfoControl()
        {
            InitializeComponent();
        }

        public void LoadCertificateInfo(CPDFSignatureCertificate certificate)
        {
            SummaryControl.LoadSummaryInfo(certificate);
            CertificateDetailControl.LoadDetailInfo(certificate);
            ConfidenceControl.LoadConfidenceInfo(certificate);
        }
    }
}
